Skip to main content
DELETE
/
v1
/
workflow_tasks
/
{id}
Delete a workflow task
curl --request DELETE \
  --url https://api.rootly.com/v1/workflow_tasks/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/workflow_tasks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/workflow_tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "workflow_tasks",
    "attributes": {
      "workflow_id": "<string>",
      "task_params": {
        "summary": "<string>",
        "task_type": "add_action_item",
        "attribute_to_query_by": "jira_issue_id",
        "query_value": "<string>",
        "incident_role_id": "<string>",
        "assigned_to_user_id": "<string>",
        "assigned_to_user": {
          "id": "<string>",
          "name": "<string>"
        },
        "kind": "<string>",
        "description": "<string>",
        "post_to_incident_timeline": true,
        "custom_fields_mapping": "<string>",
        "post_to_slack_channels": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ]
      },
      "position": 123,
      "skip_on_failure": true,
      "enabled": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "name": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

workflow_task deleted

data
object
required
included
object[]